#!/usr/bin/perl
use strict;
use CGI;
use CGI::Carp qw( fatalsToBrowser );
use lib "/home/kurs/eclipse-workspace/Bucherei";

use Ausleiheverwaltung;

my $cgi = new CGI;

print $cgi->header;
print "<html><head><title>Ausleihen</title></head><h1>Ausleihen</h1>\n";

my $ausleihen = Ausleiheverwaltung::alle_lesen();
if (scalar @$ausleihen == 0) {
	print "<p>Im System sind keine Ausleihen gespeichert.</p>\n";
} else {
	print "<p>Folgende Ausleihen sind im System gespeichert:</p>\n";
	print "<table border=1><tr><th>Signatur</th><th>Nutzernummer</th></tr>\n";
	foreach (@$ausleihen) {
		print "<tr><td>$_->[0]</td><td>$_->[1]</td></tr>";
	}
}
print "</table><p><a href='/kurs/eclipse-workspace/Bucherei/ausleihe_bearbeiten.html'>Ausleihen bearbeiten</a></p></body></html>\n";
